## ceccomp 4.0

=== docs/Makefile ===
# NOTE: Don't edit translated adoc directly! They are automatically generated.
update:
	po4a po4a.cfg

=== po/Makefile ===
GREEN := $(shell printf '\033[32m')
RESET := $(shell printf '\033[0m')
ECHO_NOPROG = printf "    $(1)\t$(2)\n"

INC_DIR := ../include
SRC_DIR := ../src
INC_SRCS := $(shell find $(INC_DIR) -name '*.h')
C_SRCS := $(shell find $(SRC_DIR) -name '*.c' -or -name '*.s')

SOURCES_LIST := SOURCES.txt
POT_FILE := ceccomp.pot
PO_ZHCN := zh_CN.po

all: $(PO_ZHCN)
	$Q$(call ECHO_NOPROG,$(GREEN)UPDATED,po$(RESET))

$(SOURCES_LIST): $(INC_SRCS) $(C_SRCS)
	$Q$(call ECHO_NOPROG,TR,$@)
	$Qecho $^ | tr ' ' '\n' > $@

$(POT_FILE): $(SOURCES_LIST)
	$Q$(call ECHO_NOPROG,XGETTEXT,$@)
	$Qxgettext -k_ -o $@ -f $<

$(PO_ZHCN): $(POT_FILE)
	$Q$(call ECHO_NOPROG,MSGMERGE,$@)
	$Qmsgmerge --previous --update $@ $< 2> /dev/null

## ceccomp 3.5

=== debian/changelog ===
ceccomp (3.5-2) unstable; urgency=medium

  * Port upstream fix for omit-leaf-frame-pointer

 -- Rocket Ma <ma2014119@outlook.com>  Tue, 09 Dec 2025 19:14:01 +0800

ceccomp (3.5-1) unstable; urgency=medium

  * Set packager by os-release info
  * Switch to raw git mode to verify tags
  * Setup autopkgtest
  * New upstream version 3.5

 -- Rocket Ma <ma2014119@outlook.com>  Mon, 10 Nov 2025 14:31:18 +0800

ceccomp (3.3-1) unstable; urgency=medium

  * Initial release. Closes: #1116186

 -- Rocket Ma <ma2014119@outlook.com>  Thu, 9 Oct 2025 15:35:56 +0800

=== debian/control ===
Source: ceccomp
Section: utils
Priority: optional
Maintainer: Rocket Ma <ma2014119@outlook.com>
Build-Depends:
 debhelper-compat (= 13),
 python3,
 asciidoctor,
 gettext,
 libseccomp-dev,
# test dependencies
 procps,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/dbgbgtf1/Ceccomp
Vcs-Git: https://salsa.debian.org/RocketDev/ceccomp.git
Vcs-Browser: https://salsa.debian.org/RocketDev/ceccomp

Package: ceccomp
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: help user to resolve seccomp filters easily
 This package is a C-written substitution of seccomp-tools, which
 process seccomp syscall related stuff. The new ceccomp add more features
 like advanced syntax highlighting, shell completion, complete
 documentation, clear error display, etc.

=== debian/rules ===
#!/usr/bin/make -f
# The Makefile does not accept CPPFLAGS, so append it to CFLAGS
export CFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
export CFLAGS += $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --zshfpath=\$${prefix}/share/zsh/vendor-completions \
		--packager="$(shell . /etc/os-release && echo $$NAME | cut -d' ' -f1)"

override_dh_auto_test:
	dh_auto_test --
	./scripts/check.sh --tolerant

=== debian/watch ===
Version: 5

Mode: git
Git-Mode: full
Pgp-Mode: gittag
Source: https://github.com/dbgbgtf1/Ceccomp.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Uversion-Mangle: s/^v//
Dversion-Mangle: auto

## ceccomp 4.0

=== debian/changelog ===
ceccomp (4.0-2) unstable; urgency=medium

  * Port upstream fix for trace on be machine

 -- Rocket Ma <ma2014119@outlook.com>  Tue, 10 Feb 2026 23:18:49 +0800

ceccomp (4.0-1) unstable; urgency=medium

  * New upstream version 4.0
  * Sync upstream changes to debian/

 -- Rocket Ma <ma2014119@outlook.com>  Sun, 08 Feb 2026 17:48:40 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ceccomp
 Section: utils
-Priority: optional
 Maintainer: Rocket Ma <ma2014119@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,9 +8,9 @@
  gettext,
  libseccomp-dev,
 # test dependencies
- procps,
+ python3-pytest,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/dbgbgtf1/Ceccomp
 Vcs-Git: https://salsa.debian.org/RocketDev/ceccomp.git
 Vcs-Browser: https://salsa.debian.org/RocketDev/ceccomp

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@
+	NO_COLOR=1 dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --zshfpath=\$${prefix}/share/zsh/vendor-completions \
@@ -13,4 +13,7 @@
 
 override_dh_auto_test:
 	dh_auto_test --
-	./scripts/check.sh --tolerant
+	python3 -m pytest test
+
+override_dh_compress:
+	dh_compress -X.webp --

=== debian/tests/control ===
Test-Command: python3 -m pytest test
Depends: @builddeps@
Restrictions: build-needed
